/* Copyright (c) 1997 George Reese */
package COM.imaginary.sql.msql;

import java.io.ByteArrayInputStream;
import java.io.FilterInputStream;
import java.io.IOException;

public class MsqlUnicodeInputStream extends FilterInputStream {
    public MsqlUnicodeInputStream(byte[] data) {
	super(new ByteArrayInputStream(data));
    }

    public int read() throws IOException {
	int left = super.read();
	int right = super.read();

	return ((left<<8) + right);
    }
}
